export interface ModalState {
    /**
     * Whether the modal is open or not
     */
    isOpen: boolean;
    /**
     * A callback to present the modal
     */
    show(): void;
    /**
     * A callback to hide the modal
     * */
    hide(): void;
    /**
     * A callback to toggle modol visibility
     */
    toggle(): void;
}
/**
 * A hook to consolidate view-state for modals
 *
 * @param onHide - callback to be called when the modal is dismissed
 * @returns The modal state
 */
export declare function useModalState(onShow?: (() => void) | undefined, onHide?: (() => void) | undefined): ModalState;
